Bug 1014934 - Enable Security for the REST Endpoint prerequisite not required
Enable Security for the REST Endpoint prerequisite not required
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 02:59 EDT by Bruce Wolfe
Modified: 2014-10-26 16:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14115, Developer Guide-6.1-2 Build Date: 02-10-2013 12:28:59 Topic ID: 8845-371957 [Specified]
Last Closed: 2013-11-07 17:50:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Wolfe 2013-10-03 02:59:43 EDT
Title: Enable Security for the REST Endpoint

Describe the issue: The prerequisites no longer appear to be needed, standalone.xml and clustered.xml are already configured with and appropriate security-domain and auth-method. In fact the standalone-rest-auth.xml file is not in the docs/examples/configs directory anymore.


Suggestions for improvement:Remove the prerequisite steps.


Additional information: The procedure steps appear to be correct (unverified, other than a visual examination of the relevant application-*.properties files.
HOWEVER the sample xml code shown in step 1
<subsystem xmlns="urn:jboss:domain:datagrid:1.0">
  <rest-connector virtual-server="default-host"
                   cache-container="local"
                   security-domain="other"
                   auth-method="BASIC"/>
</subsystem>
Needs to be updated per this bug -
https://bugzilla.redhat.com/show_bug.cgi?id=1014895
Comment 2 Misha H. Ali 2013-10-03 03:01:50 EDT
Thanks for reporting, Bruce. I'm on it now.
Comment 5 Misha H. Ali 2013-11-07 17:50:36 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.